// Copyright 2023, the hatemragab project author.
// All rights reserved. Use of this source code is governed by a
// MIT license that can be found in the LICENSE file.

import 'package:v_chat_sdk_core/src/i10n/default_localizations.dart';

class VArLocalizations extends VChatLocalizationLabels {
  const VArLocalizations();

  @override
  String get ok => "حسناً";

  @override
  String get cancel => "إلغاء";

  @override
  String get yes => "نعم";

  @override
  String get errorWhileDownloadFile => "خطأ أثناء تحميل الملف";

  @override
  String get unsupportedPlatform => "المنصة غير مدعومة";

  @override
  String get successfullyDownloadedIn => "تم التحميل بنجاح في";

  @override
  String get pleaseWait => "الرجاء الإنتظار";

  @override
  String get search => "بحث";

  @override
  String get updateTitleTo => "تحديث العنوان إلى";

  @override
  String get updateImage => "تحديث الصورة";

  @override
  String get joinedBy => "انضم بواسطة";

  @override
  String get promotedToAdminBy => "تم الترقية إلى مشرف بواسطة";

  @override
  String get dismissedToMemberBy => "تم الفصل إلى عضو بواسطة";

  @override
  String get leftTheGroup => "غادر المجموعة";

  @override
  String get kickedBy => "طرد بواسطة";

  @override
  String get groupCreatedBy => "تم إنشاء المجموعة بواسطة";

  @override
  String get addedYouToNewBroadcast => "أضافك إلى بث جديد";

  @override
  String get connecting => "جار الاتصال";

  @override
  String get delete => "حذف";

  @override
  String get download => "تحميل";

  @override
  String get copy => "نسخ";

  @override
  String get info => "معلومات";

  @override
  String get share => "مشاركة";

  @override
  String get forward => "إعادة توجيه";

  @override
  String get reply => "رد";

  @override
  String get deleteFromAll => "حذف من الكل";

  @override
  String get deleteFromMe => "حذف من عندي";

  @override
  String get downloading => "جار التحميل";

  @override
  String get fileHasBeenSavedTo => "تم حفظ الملف في";

  @override
  String get online => "متصل";

  @override
  String get youDontHaveAccess => "ليس لديك الوصول";

  @override
  String get replyToYourSelf => "رد على نفسك";

  @override
  String get forwarded => "تم التوجيه";

  @override
  String get repliedToYourSelf => "أجبت على نفسك";

  @override
  String get messageHasBeenDeleted => "تم حذف الرسالة";

  @override
  String get chooseRooms => "اختر الغرف";

  @override
  String get mute => "كتم";

  @override
  String get unMute => "إلغاء الكتم";

  @override
  String get report => "تقرير";

  @override
  String get unBlock => "إلغاء الحظر";

  @override
  String get block => "حظر";

  @override
  String get leave => "مغادرة";

  @override
  String get chatMuted => "تم كتم الدردشة";

  @override
  String get chatUnMuted => "تم إلغاء كتم الدردشة";

  @override
  String get deleteYouCopy => "حذف نسختك";

  @override
  String get areYouSureToPermitYourCopyThisActionCantUndo =>
      "هل أنت متأكد من السماح بنسختك؟ لا يمكن التراجع عن هذا الإجراء";

  @override
  String get blockThisUser => "حظر هذا المستخدم";

  @override
  String get areYouSureToBlockThisUserCantSendMessageToYou =>
      "هل أنت متأكد من حظر هذا المستخدم؟ لن يتمكن من إرسال رسالة إليك";

  @override
  String get userBlocked => "تم حظر المستخدم";

  @override
  String get userUnBlocked => "تم إلغاء حظر المستخدم";

  @override
  String get areYouSureToLeave => "هل أنت متأكد من الرغبة في المغادرة";

  @override
  String get leaveGroupAndDeleteYourMessageCopy =>
      "غادر المجموعة وحذف نسخة رسالتك";

  @override
  String get groupLeft => "غادرت المجموعة";

  @override
  String get typing => "يكتب";

  @override
  String get recording => "تسجيل";

  @override
  String get shareFiles => "مشاركة الملفات";

  @override
  String get media => "وسائط";

  @override
  String get shareLocation => "مشاركة الموقع";

  @override
  String get shareMediaAndLocation => "مشاركة الوسائط والموقع";

  @override
  String get typeYourMessage => "اكتب رسالتك";

  @override
  String get endToEndEncryption => "التشفير من النهاية إلى النهاية";

  @override
  String get exitFromTheCall => "الخروج من المكالمة";

  @override
  String get areYouSureToEndTheCall =>
      "هل أنت متأكد من أنك تريد إنهاء المكالمة";

  @override
  String get messageInfo => "معلومات الرسالة";

  @override
  String get read => "قراءة";

  @override
  String get delivered => "تم التوصيل";

  @override
  String get chatMedia => "وسائط الدردشة";

  @override
  String get busy => "مشغول";

  @override
  String get members => "أعضاء";

  @override
  String get ring => "رنين";

  @override
  String get roomAlreadyInCall => "الغرفة في مكالمة بالفعل";

  @override
  String get timeout => "انتهاء الوقت";

  @override
  String get callEnd => "نهاية المكالمة";

  @override
  String get rejected => "مرفوض";

  @override
  String get videoCall => "مكالمة فيديو";

  @override
  String get audioCall => "مكالمة صوتية";

  @override
  String get canceled => "ألغيت";

  @override
  String get inCall => "في مكالمة";

  @override
  String get makeCall => "إجراء مكالمة";

  @override
  String get areYouWantToMakeVideoCall => "هل تريد إجراء مكالمة فيديو";

  @override
  String get areYouWantToMakeVoiceCall => "هل تريد إجراء مكالمة صوتية";

  @override
  String get thereIsFileHasSizeBiggerThanAllowedSize =>
      "هناك ملف بحجم أكبر من الحجم المسموح به";

  @override
  String get thereIsVideoSizeBiggerThanAllowedSize =>
      "هناك فيديو بحجم أكبر من الحجم المسموح به";

  @override
  String get yesterday => "أمس";

  @override
  String get today => "اليوم";

  @override
  String get you => "أنت";
  @override
  String get accepted => "تم الاتصال";
}
